@echo off

rem  this batch will take an output  hashes.000 generated with the hash -v .. program and
rem  run it thru the hash_dup program to find any files containing duplicate hash values

rem  see sample output of hash_dup below, line truncated for legibility
rem      hash -p D:\WORK\C70\base\ACCESS\Release -v -o hashes.000 -w 200


rem D:\WORK\C70\base\ACCESS\Release\vc90.idb     0442688FD709489EE1BB835E8C018EE1   248832 01/05/2010 11:59w EST 
rem D:\WORK\C70\base\ACCESS\Release\vc90A.idb    0442688FD709489EE1BB835E8C018EE1   248832 01/15/2010 11:59w EST 
rem D:\WORK\C70\base\ACCESS\Release\vc90B.idb    0442688FD709489EE1BB835E8C018EE1   248832 01/15/2010 11:59w EST 
rem D:\WORK\C70\base\ACCESS\Release\vc90C.idb    0442688FD709489EE1BB835E8C018EE1   248832 01/25/2010 11:59w EST 



rem the user then takes this duplicate file, called dupes.txt in the batch run 
rem and REMOVES from it ONE of the items which they wish to retain. notice the first one removed from the list

rem D:\WORK\C70\base\ACCESS\Release\vc90A.idb    0442688FD709489EE1BB835E8C018EE1   248832 01/15/2010 11:59w EST 
rem D:\WORK\C70\base\ACCESS\Release\vc90B.idb    0442688FD709489EE1BB835E8C018EE1   248832 01/15/2010 11:59w EST 
rem D:\WORK\C70\base\ACCESS\Release\vc90C.idb    0442688FD709489EE1BB835E8C018EE1   248832 01/25/2010 11:59w EST 

rem 
rem The the user passes this list to the rm program using the -S listfile   option
rem the rm program reads the records of file names, and deletes ALL the files within the list.



rem  sample hash command line:   hash -p D:\WORK\C70\base\ACCESS\Release -v -o hashes.000 -w 200


hash_dup -i hashes.000 -o dupes.txt 

rem an alternative (but dangerous) hash_dup option it so include a -m on the command line
rem check out the use of the -m option
rem hash_dup -i hashes.000 -o dupes.txt   -m 

rem   this is the command to remove the records in the dupes.txt file 
rem   (ONLY AFTER REMOVING THE ITEMS TO BE RETAINED)

rem   rm  -S  dupes.txt
